| OpenMS 2.5.0

IDScoreSwitcher

Switches between different scores of peptide hits (PSMs) or protein hits in identification data.

In the idXML file format and in OpenMS' internal representation of identification data, every peptide spectrum match (PSM, "peptide hit") and every protein hit can be associated with a single numeric (quality) score of an arbitrary type. However, database search engines that generate PSMs or tools for post-processing of identification data may assign multiple scores of different types to each PSM/protein. These scores can be captured as meta data associated with the PSMs/proteins (in idXML: "UserParam" elements), but they are typically not considered by TOPP tools that utilize the scores. This utility allows to switch between "primary" scores and scores stored as meta values.

By default this tool operates on PSM scores; to consider protein scores instead, set the `proteins` flag. The meta value that is supposed to replace the PSM/protein score - given by parameter `new_score` - has to be numeric (type "float") and exist for every peptide or protein hit, respectively. The old score will be stored as a meta value, the name for which is given by the parameter `old_score`. It is an error if a meta value with this name already exists for any hit, unless that meta value already stores the same score.

Note
  Currently mzIdentML (mzid) is not directly supported as an input/output format of this tool. Convert mzid files to/from idXML using IDFileConverter if necessary.

The command line parameters of this tool are:

    IDScoreSwitcher -- Switches between different scores of peptide or protein hits in identification data

    Full documentation: http://www.openms.de/documentation/UTILS_IDScoreSwitcher.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      IDScoreSwitcher <options>

    Options (mandatory options marked with '*'):

      -in <file>*                       Input file (valid formats: 'idXML')

      -out <file>*                      Output file (valid formats: 'idXML')

      -new_score <name>*                Name of the meta value to use as the new score

      -new_score_orientation <choice>*  Orientation of the new score (are higher or lower values better?) (valid:

                                        'lower_better', 'higher_better')

      -new_score_type <name>            Name to use as the type of the new score (default: same as 'new_score')

      -old_score <name>                 Name to use for the meta value storing the old score (default: old score

                                        type)

      -proteins                         Apply to protein scores instead of PSM scores

    Common UTIL options:

      -ini <file>                       Use the given TOPP INI file

      -threads <n>                      Sets the number of threads allowed to be used by the TOPP tool (default:

                                        '1')

      -write_ini <file>                 Writes the default configuration file

      --help                            Shows options

      --helphelp                        Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+IDScoreSwitcher Switches between different scores of peptide or protein hits in identification data
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'IDScoreSwitcher'
in Input file input file*.idXML
out Output file output file*.idXML
new_score Name of the meta value to use as the new score
new_score_orientation Orientation of the new score (are higher or lower values better?)lower_better,higher_better
new_score_type Name to use as the type of the new score (default: same as 'new_score')
old_score Name to use for the meta value storing the old score (default: old score type)
proteins false Apply to protein scores instead of PSM scores true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false